## termtosvg 1.1.0%2Bdfsg

=== debian/changelog ===
termtosvg (1.1.0+dfsg-4) unstable; urgency=medium

  * d/rules: Use execute_after_dh_* from Debhelper compatibility level 13 when
    relevant.
  * d/control, d/rules: Don't generate manuals under 'nodoc' build profile.
  * d/control: Exclude test dependencies under 'nocheck' build profile.
  * d/rules: Inspect DEB_BUILD_* with $(filter ,) not $(findstring ,).
  * Salsa CI: Include recipes/debian.yml.
  * Set field Upstream-Name in debian/copyright.
  * Update standards version to 4.6.2, no changes needed.
  * Add a DEP-8 test with the upstream test suite.

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 25 Jan 2023 11:26:56 +0100

termtosvg (1.1.0+dfsg-3) unstable; urgency=medium

  * Rename Debian branch to debian/latest for DEP-14 compliance.
  * gbp: Remove --git-compression=xz.
  * Refresh patches.
  * Bump Standards-Version to 4.5.1 (no changes necessary).
  * Add upstream VCS tag as additional parent to upstream/$VERSION.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 05 Jan 2021 18:43:20 +0100

termtosvg (1.1.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 14 Aug 2020 16:48:03 +0200

termtosvg (1.1.0+dfsg-1) experimental; urgency=medium

  * Initial release. (Closes: #955738)

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 21 Jul 2020 00:28:51 +0200
