=== debian/changelog ===
termtosvg (1.1.0+dfsg-5) unstable; urgency=medium

  * Add new DEP-8 test with a simple recording session.
  * d/gbp.conf: Re-add `--git-compression=xz`.
  * Update Standards-Version to 4.7.2 (no changes necessary).
  * d/copyright: Replace FSF's old postal address with an URL.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 02 May 2025 16:40:20 +0200
