=== debian/control ===
Source: termtosvg
Section: python
Priority: optional
Maintainer: Guilhem Moulin <guilhem@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pandoc <!nodoc>,
               python3-all,
               python3-lxml <!nocheck>,
               python3-pyte (>= 0.6.0) <!nocheck>,
               python3-setuptools,
               python3-wcwidth <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/nbedos/termtosvg
Vcs-Git: https://salsa.debian.org/debian/termtosvg.git -b debian/latest
Vcs-Browser: https://salsa.debian.org/debian/termtosvg

Package: termtosvg
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: record terminal sessions as standalone SVG animations
 termtosvg is a Unix terminal recorder written in Python that renders
 command line sessions as standalone SVG animations.  Features:
 .
  * Produce lightweight and clean looking animations embeddable on a
    project page
  * Custom color themes, terminal UI and animation controls via SVG
    templates
  * Compatible with asciinema recording format
