=== debian/tests/control ===
Features: test-name=upstream-testsuite
Test-Command: cd /usr/share/termtosvg && python3 -m unittest termtosvg.tests.suite -v
Depends: termtosvg
Restrictions: allow-stderr

Tests: record1
Depends: termtosvg
Restrictions: allow-stderr
