=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%termtosvg-$1.tar.gz%,dversionmangle=auto,repacksuffix=+dfsg" \
    https://github.com/nbedos/termtosvg/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
